Subject: bug#13701: 24.2.93; Segmentation fault

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 13 Feb 2013 08:12:13 +0100

Glenn Morris <[email-masked]> writes:

> "Sebastien Vauban" wrote:
>
>> warning: sys_read called when read is in progress
>
> Searching for this message, I found that the only hit is crashes
> previously reported by you in Emacs 24.1 and 24.2:
>
> http://lists.gnu.org/archive/html/help-gnu-emacs/2012-10/msg00021.html
>
> So maybe the issue(s) is not new and is caused by some unusual
> circumstance on your machine.
The initial problem was the user is setting `shell-file-name' to
"/path/to/bash" on a windows machine where the value is normally
"/path/to/cmdproxy.exe".
The result is that all externals programs made to be used with
"cmdproxy.exe" are crashing Emacs.
In the case of `helm', the user is crashing Emacs with the helm-locate
command which use the executable "es.exe" which is part of "everything"
program.
So I think these crash are not the fault of Emacs nor helm, but a bad
setting of user.

So the question is:
Sebastien, are you still using shell-file-name==bash in your config ?

>> Program received signal SIGSEGV, Segmentation fault.
>> 0x00000213 in ?? ()
>
> I'm going to go out on a limb and say that more information will be
> needed to solve this...
>
>
>
>

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997